Bug 212803 - [maintainer-update] [patch] Update cad/freecad to version 20160927
Summary: [maintainer-update] [patch] Update cad/freecad to version 20160927
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-09-18 19:47 UTC by Pedro F. Giffuni
Modified: 2016-10-09 10:01 UTC (History)
1 user (show)

See Also:


Attachments
freecad update (1.45 KB, patch)
2016-09-18 19:47 UTC, Pedro F. Giffuni
no flags Details | Diff
freecad update (1.46 KB, patch)
2016-09-24 19:25 UTC, Pedro F. Giffuni
no flags Details | Diff
freecad update to 20160927 (1.46 KB, patch)
2016-09-29 02:12 UTC, Pedro F. Giffuni
no flags Details | Diff
freecad update to 20160927 (2.92 KB, patch)
2016-09-29 04:26 UTC, Pedro F. Giffuni
no flags Details | Diff
freecad v2, add desktop entry file (3.10 KB, patch)
2016-10-08 11:44 UTC, Pawel Pekala
pfg: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni freebsd_committer 2016-09-18 19:47:22 UTC
Created attachment 174933 [details]
freecad update

- Mark FreeCAD broken on FreeBSD 9:
There appears to be a bad interaction between modern C++ and the older boost in FreeBSD 9. I don't have much interest in figuring out at this time, so just tag it broken.
- Update to the newest bleeding-edge version.
Comment 1 Pedro F. Giffuni freebsd_committer 2016-09-24 19:25:03 UTC
Created attachment 175139 [details]
freecad update
Comment 2 Pedro F. Giffuni freebsd_committer 2016-09-29 02:12:33 UTC
Created attachment 175246 [details]
freecad update to 20160927

New version (plus adjust to changes in the current port.
Still broken on FreeBSD-9 :(.
Comment 3 Pedro F. Giffuni freebsd_committer 2016-09-29 04:26:57 UTC
Created attachment 175252 [details]
freecad update to 20160927

Forgot to update the pkg-plist.
Comment 4 Pawel Pekala freebsd_committer 2016-10-08 11:44:44 UTC
Created attachment 175526 [details]
freecad v2, add desktop entry file

How about adding desktop entry file?
Comment 5 Pedro F. Giffuni freebsd_committer 2016-10-08 14:39:41 UTC
Comment on attachment 175526 [details]
freecad v2, add desktop entry file

I am not sure which should be the appropriate category but approved.
Comment 6 commit-hook freebsd_committer 2016-10-09 10:00:27 UTC
A commit references this bug:

Author: pawel
Date: Sun Oct  9 09:59:46 UTC 2016
New revision: 423585
URL: https://svnweb.freebsd.org/changeset/ports/423585

Log:
  - Update to version 0.17.g20160927 [1]
  - Add desktop entry file

  PR:		212803 [1]
  Submitted by:	pfg (maintainer)

Changes:
  head/cad/freecad/Makefile
  head/cad/freecad/distinfo
  head/cad/freecad/pkg-plist
Comment 7 Pawel Pekala freebsd_committer 2016-10-09 10:01:42 UTC
I usually check categories at the source:

https://specifications.freedesktop.org/menu-spec/menu-spec-1.1.html